import stackless as ss
from . import gameMain
from . import music
from . import world
from . import cat
from . import foodManager
from . import collisions
from . import background

def createTasklets():
    return [
            ss.tasklet(gameMain.gameMainTasklet),
            ss.tasklet(music.musicTasklet),
            ss.tasklet(world.worldTasklet),
            ss.tasklet(foodManager.foodManagerTasklet),
            ss.tasklet(cat.catTasklet),
            ss.tasklet(collisions.collisionsTasklet),
            ss.tasklet(cat.catResetTasklet),
            ss.tasklet(background.backgroundTasklet)
            ]
