import stackless as ss
from PySFML import sf
from settings.settings import *
import globals.globals as g

def status(music):
    if music.GetStatus() == sf.Music.Paused:
        return "Paused"
    elif music.GetStatus() == sf.Music.Stopped:
        return "Stopped"
    elif music.GetStatus() == sf.Music.Playing:
        return "Playing"
    else:
        return "???"

def musicTasklet():
    music = []
    for i in range(28):
        music.append(sf.Music())
        music[i].OpenFromFile(dataPath + "music/demo/track" + str(i) + ".ogg")
        music[i].Initialize(2, 44100)
        music[i].SetLoop(True)

    g.musicIndex = 0
    music[g.musicIndex].Play()

    while 1:
        if music[g.musicIndex].GetDuration() - music[g.musicIndex].GetPlayingOffset() <= 0.1:
            if g.progress == g.Progress.FORWARDS:
                print("\tforwards!")
                newMusicIndex = g.musicIndex + 1
            elif g.progress == g.Progress.BACKWARDS:
                print("\tbackwards!")
                newMusicIndex = g.musicIndex - 1
            elif g.progress == g.Progress.STAY:
                print("\tstay!")
                newMusicIndex = g.musicIndex

            if newMusicIndex < 0:
                newMusicIndex = 0
            elif newMusicIndex >= len(music):
                newMusicIndex = len(music) - 1

            if newMusicIndex == g.musicIndex:
                pass
            else:
                music[newMusicIndex].Play()
                music[g.musicIndex].Stop()

            g.musicIndex = newMusicIndex

        ss.schedule()
