import stackless as ss
from PySFML import sf
import channels.channels as channels
from . import channels as bgChannels

def gameMainTasklet():
    while 1:
        eventsList = channels.gameMainChannel.receive()

        bgChannels.worldChannel.send(None)
        channels.broadcast(bgChannels.backgroundChannel,None)

        channels.inputUpdateChannel.send(eventsList)

        # wait for game entities to finish updating for this frame
        while ss.getruncount() >= 2:
            ss.schedule()

        bgChannels.runCollisionsChannel.send(None)

        # wait for game entities to finish updating second time
        while ss.getruncount() >= 2:
            ss.schedule()
