import stackless as ss
from . import gameMain
from . import world
from . import platformer
from . import collisions as coll
from . import block
from . import background
from . import music
from settings.settings import *

def createTasklets():
    return [
            ss.tasklet(gameMain.gameMainTasklet),
            ss.tasklet(music.musicTasklet),
            ss.tasklet(background.backgroundTasklet),
            ss.tasklet(background.backgroundUpdateTasklet),
            ss.tasklet(world.worldTasklet),
            ss.tasklet(block.blockTasklet),
            ss.tasklet(coll.collisionsTasklet),
            ss.tasklet(platformer.goalTasklet),
            ss.tasklet(platformer.catTasklet)
           ]
