import stackless as ss
from PySFML import sf
import channels.channels as channels
from . import channels as bgChannels
import graphics.graphics as graphics

from math import sqrt
import sys
from settings.settings import *
import globals.globals as g
from .types import *
import time
import random
    
backgroundImg = sf.Image()
backgroundImg.LoadFromFile(dataPath + "backgrounds/space/spaceLL.jpg")
backgroundSpr = sf.Sprite(backgroundImg)
    
class Enemy1:
  def __init__(self,startX,startY):    
    enemyImg = sf.Image()
    enemyImg.LoadFromFile(dataPath + "cats/mochicat2.png")
    self.spr = sf.Sprite(enemyImg)
    self.spr.SetX(startX)
    self.spr.SetY(startY)
    self.clk = sf.Clock()
    self.destroyed = 0
    self.shots = []
    
  def update(self,pathNum):
    if(pathNum == 1):
      self.spr.Move(-5,0)
    
  def draw(self):
    g.window.Draw(self.spr)
    
def enemiesTasklet():
  enemies = []
  while 1:  
      while (len(enemies) <= 3):
        enemies.append(Enemy1(random.randint(windowWidth,windowWidth+300),random.randint(1,windowHeight-100)))
      i = 0

      #bgChannels.bgChannel.send(None)

      #backgroundSpr.SetPosition(0.0, 0.0)
      #g.window.Draw(backgroundSpr)
      #bgChannels.returnChannel.receive()          
      #bgChannels.enemiesChannel.send(enemies)
      
      while (i < len(enemies)):
        enemies[i].update(1)
        enemies[i].draw()
        if ((enemies[i].destroyed == 1) or (enemies[i].spr.GetPosition()[0] < -enemies[i].spr.GetSize()[0])):
          enemies.pop(i)
        else:
          i += 1

      bgChannels.returnChannel.receive()          
      bgChannels.enemiesChannel.send(enemies)