import stackless as ss
from PySFML import sf
from globals import globals as g
from settings.settings import *
import channels.channels as channels
from main.gameType import *

victoryImg = sf.Image()
victoryImg.LoadFromFile(dataPath + "victory/victory_screen.png")
victorySpr = sf.Sprite(victoryImg)
victorySpr.SetPosition(0.0, 0.0)

winStr = sf.String("Hooray! You win!")
winStr.SetColor(sf.Color.White)
winStr.SetPosition(400.0, 600.0)
winStr.SetSize(30.0)

continueStr = sf.String("Press the jump button to continue")
continueStr.SetColor(sf.Color.White)
continueStr.SetPosition(400.0, 700.0)
continueStr.SetSize(13.0)

def draw():
    g.window.Draw(victorySpr)
    g.window.Draw(winStr)
    g.window.Draw(continueStr)

def victoryTasklet():
    g.escDisabled = True

    while 1:
        eventsList = channels.gameMainChannel.receive()
        channels.inputUpdateChannel.send(eventsList)
        inputState = channels.inputChannel.receive()

        draw()

        if inputState.keyPressed("c") or inputState.joyPressed("jump"):
            g.gameDone = True
            break

        ss.schedule()

    g.escDisabled = False

    g.gameWon = False
