import stackless as ss
from . import gameMain
from . import world
from . import cat
from . import enemy1
from . import enemy2
from . import enemy3
from . import collisions as coll
from . import projectiles
from . import background2
from . import music

def createTasklets():
    return [
            ss.tasklet(gameMain.gameMainTasklet),
            ss.tasklet(gameMain.gameMainProgressionTasklet),
            ss.tasklet(music.musicTasklet),
            ss.tasklet(music.scoreTasklet),
            ss.tasklet(background2.background2Tasklet),
            ss.tasklet(background2.backgroundUpdateTasklet),
            ss.tasklet(world.worldTasklet),
            ss.tasklet(projectiles.projectilesTasklet),
            ss.tasklet(projectiles.projectilesAddTasklet),
            ss.tasklet(coll.collisionsTasklet),
            ss.tasklet(cat.catTasklet)
            ]
